#!/bin/bash

$BINARY=/usr/local/rtm/bin/rtm
$INSTALLER="/cache/install-$RTM_VERSION.sh"

function report_loop {
 while true; do
  $BINARY
  sleep $RTM_REPORT_INTERVAL
 done
}

function fetch_installer {
 curl "$RTM_DOWNLOAD_URL$RTM_VERSION" > $INSTALLER
 CHECKSUM=$(sha256sum $INSTALLER)
 if [ "$CHECKSUM" -eq "$RTM_INSTALLER_CHECKSUM  $INSTALLER" ]; then
  chmod +x $INSTALLER
  $INSTALLER
  report_loop
 else
  echo Checksum mismatch!
  exit 1
 fi
}

if [ -f "$BINARY" ]; then 
 report_loop
else
 if [ -f "$INSTALLER" ]; then 
  $INSTALLER
 else
  fetch_installer
 fi
fi
